# Uses of Enum
org.apache.zookeeper.audit.AuditEvent.Result

Packages that use AuditEvent.Result
Package
Description
org.apache.zookeeper.audit

## Uses of AuditEvent.Result in org.apache.zookeeper.audit

Subclasses with type arguments of type AuditEvent.Result in org.apache.zookeeper.audit
Modifier and Type
Class
Description
`static enum`
`AuditEvent.Result`
Methods in org.apache.zookeeper.audit that return AuditEvent.Result
Modifier and Type
Method
Description
`AuditEvent.Result`
AuditEvent.`getResult()`
`static AuditEvent.Result`
AuditEvent.Result.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuditEvent.Result[]`
AuditEvent.Result.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.audit with parameters of type AuditEvent.Result
Modifier and Type
Method
Description
`static void`
ZKAuditProvider.`log(String user, String operation, String znode, String acl, String createMode, String session, String ip, AuditEvent.Result result)`